probe::socket.create
Prev | Chapter 14. Socket Tapset | Next

## Name

probe::socket.create — Creation of a socket

## Synopsis

    socket.create

## Values

`requester`

  Requested by user process or the kernel (1 = kernel, 0 = user)

`protocol`

  Protocol value

`type`

  Socket type value

`name`

  Name of this probe

`family`

  Protocol family value

## Context

The requester (see requester variable)

## Description

Fires at the beginning of creating a socket.

Prev | Up | Next
probe::socket.close.return | Home | probe::socket.create.return